DROP TABLE IF EXISTS device CASCADE ;
DROP TABLE IF EXISTS device_group CASCADE;
DROP TABLE IF EXISTS organization CASCADE ;

CREATE TABLE device_group (
                                     device_group_id integer NOT NULL,
                                     org_id integer NOT NULL,
                                     policy_control boolean NOT NULL,
                                     is_default boolean NOT NULL,
                                     priority integer DEFAULT 10 NOT NULL,
                                     name character varying(1024) NOT NULL,
                                     description character varying(1024),
                                     admin_contact_id bigint,
                                     policy_info character varying(4096),
                                     update_version integer DEFAULT 0 NOT NULL,
                                     priority_level integer NOT NULL,
                                     change_timestamps character varying(4096),
                                     analytics_profile character varying(255),
                                     analytics_version character varying(255),
                                     policy_info_v2 text,
                                     vdi_auto_dereg_interval bigint,
                                     mdr_config text,
                                     vm_workloads_auto_dereg_interval bigint
);

CREATE TABLE device (
                        device_id bigint NOT NULL,
                        device_type_id integer NOT NULL,
                        device_owner_id bigint,
                        device_guid character varying(255) NOT NULL,
                        name character varying(1024),
                        email character varying(1024),
                        email_type_id integer,
                        session_id character varying(4096),
                        properties character varying(4096),
                        assignedtoid bigint,
                        assignedtoname character varying(255),
                        create_time timestamp with time zone,
                        update_version integer DEFAULT 0 NOT NULL,
                        time_correction bigint,
                        change_timestamps character varying(4096),
                        replica_device_id bigint,
                        kill_switch_on boolean DEFAULT false,
                        org_key character varying(255),
                        deployment_type character varying(128)
);

CREATE TABLE organization (
                                     org_id integer NOT NULL,
                                     org_type_id integer NOT NULL,
                                     name character varying(1024) NOT NULL,
                                     admin_contact_id bigint,
                                     billing_contact_id bigint,
                                     registration_password character varying(255),
                                     create_time timestamp with time zone NOT NULL,
                                     last_update_time timestamp with time zone,
                                     update_version integer DEFAULT 0 NOT NULL,
                                     change_timestamps character varying(4096),
                                     analytics_profile character varying(255),
                                     analytics_version character varying(255),
                                     mode integer DEFAULT 2,
                                     trial_end_time timestamp with time zone,
                                     create_admin character varying(255),
                                     paid_start_time timestamp with time zone,
                                     storage_profile character varying(255),
                                     kill_switch_on boolean DEFAULT false,
                                     canary_payload_config character varying(4096),
                                     ransomware_config character varying(4096),
                                     uninstall_code character(8),
                                     license_endpoints bigint DEFAULT 0 NOT NULL,
                                     license_expires timestamp with time zone,
                                     org_key character varying(255),
                                     effective_th_endpoints bigint DEFAULT 0 NOT NULL,
                                     deployment_type_change_timestamps character varying(4096),
                                     recent_registration_passwords text[],
                                     org_uuid character varying(255)
);
